cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

I am using windchill 11.0 MO30 CPS 02, it has bundled apache 2.4.25 with it. We have identified mult

SJ_9578736
2-Guest

I am using windchill 11.0 MO30 CPS 02, it has bundled apache 2.4.25 with it. We have identified mult

I am using Windchill PDMLink Release 11.0 and Datecode with CPS M030-CPS02

I am using windchill 11.0 MO30 CPS 02, it has bundled apache 2.4.25 with it. We have identified multiple high severity vulnerabilities due to older version of Apache being used.
I know we can download latest patch to upgrade apache, but does the same procedure apply to replica server as well?

Here are the errors that I faced
older version of Apache being used.

3 REPLIES 3

Hi SJ_957836,

This is Bhushan from PTC Technical Support Team.

 

Please let me know if you were able to resolve the issue?

 

If not kindly share the requested information:

  • Can you please share error messages here?
  • Have you applied the Apache version on Remote File Server?

Hi Bhushan,

 

I havent tried it yet, I want to understand what is the process to upgrade apache in Replica server. In the Master server I know we can download the latest patch to do it but can we do the same in Replica?

Hi @SJ_9578736,

 

When the Master Site is updated with latest CPS, it generated CcsDsu.zip file in ..\Windchill\CCSTools\update folder.

This contains all modules updated by CPS which needs to be deployed on remote file server.

 

This file automatically transferred to Remote File Server, after a manual restart of Remote File Server, the CPS related updates are applied to Remote File Server.

This will include HTTP Server updates as well if there are any in CPS Bundle.

 

 

Hope this helps clarify the doubts about HTTP Server update to be done on RFS.

Announcements